"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
function datauri(uri) {
    if (!/^data\:/i.test(uri)) {
        throw new TypeError('must begin with `data:`');
    }
    const [, body] = uri.split(',');
    return {
        body: Buffer.from(body, 'base64'),
    };
}
exports.datauri = datauri;
