"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
class Exception extends Error {
}
exports.Exception = Exception;
class JobException extends Exception {
    constructor(msg, type) {
        super(msg);
        this.msg = msg;
        this.type = type;
    }
}
exports.JobException = JobException;
class ShellException extends JobException {
    constructor(msg, type, code) {
        super(msg, type);
        this.msg = msg;
        this.type = type;
        this.code = code;
    }
}
exports.ShellException = ShellException;
